Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp
Class SamplerEngine

    java.lang.Object
      org.linuxsampler.lscp.SamplerEngine

All Implemented Interfaces:
  Parseable

    public class SamplerEngine

extends java.lang.Object
implements Parseable

Provides information about a specific sampler engine.

Constructor Summary
`SamplerEngine()` Creates a new instance of `SamplerEngine`
`SamplerEngine(java.lang.String[] resultSet)` Creates a new instance of `SamplerEngine` and parses the information about a sampler engine described by `resultSet`.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compares this `SamplerEngine` instance to the specified object.
`java.lang.String` | `getDescription()` Gets a description about this sampler engine.
`java.lang.String` | `getName()` Gets the name of this sampler engine.
`java.lang.String` | `getVersion()` Gets the version of this sampler engine.
`boolean` | `parse(java.lang.String s)` Parses a line of text.
`void` | `setName(java.lang.String name)` Sets the name of this sampler engine.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SamplerEngine

    public SamplerEngine()

  Creates a new instance of `SamplerEngine`

### SamplerEngine

    public SamplerEngine(java.lang.String[] resultSet)

  Creates a new instance of `SamplerEngine` and parses the information about a sampler engine described by `resultSet`.

  Parameters:
    `resultSet` - An array of information categories about a sampler engine.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of this sampler engine.

  Returns:
    The name of this sampler engine.

### setName

    public void setName(java.lang.String name)

  Sets the name of this sampler engine.

  Parameters:
    `name` - A `String` instance containing the new name for this sampler engine.

### getDescription

    public java.lang.String getDescription()

  Gets a description about this sampler engine.

  Returns:
    A description about this sampler engine.

### getVersion

    public java.lang.String getVersion()

  Gets the version of this sampler engine.

  Returns:
    The version of this sampler engine.

### parse

    public boolean parse(java.lang.String s)

  Parses a line of text.

  Specified by:
    `parse` in interface `Parseable`
  Parameters:
    `s` - The string to be parsed.
  Returns:
    `true` if the line has been processed, `false` otherwise.

### equals

    public boolean equals(java.lang.Object obj)

  Compares this `SamplerEngine` instance to the specified object. The result is `true` if `obj` is reference to `this`, or if `obj` is a `SamplerEngine` instance and has non-`null` name equal to the name of this engine.

  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    `true` if `obj` is reference to `this`, or if `obj` is a `SamplerEngine` instance and has non-`null` name equal to the name of this engine; `false` otherwise.
  See Also:
    `getName()`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.